<?php
/*
 * $Id: example.php,v 1.6 2002/11/05 00:10:50 meebey Exp $
 * $Revision: 1.6 $
 * $Author: meebey $
 * $Date: 2002/11/05 00:10:50 $
 */

// ---EXAMPLE OF HOW TO USE phpSmartIRCclass---
// this code shows how a mini php bot could be written
include_once('phpSmartIRCclass.inc.php');

class mybot
{
	function channel_test(&$data)
	{
		global $irc;
		$irc->message( TYPE_CHANNEL, '#test', $data->nick.': I dont like tests!' );
	}

	function query_test(&$data)
	{
		global $irc;
		$irc->message( TYPE_CHANNEL, '#test', $data->nick.' said "'.$data->message.'" to me!' );
		$irc->message( TYPE_QUERY, $data->nick, 'I told everyone on #test what you said!' );
	}
}	

$bot = &new mybot();
$irc = &new CphpSmartIRCclass();
$irc->debug(DEBUG_ALL);
$irc->usesockets(TRUE);
$irc->register_actionhandler( TYPE_QUERY, "test", $bot, "query_test" );
$irc->register_actionhandler( TYPE_CHANNEL, "test", $bot, "channel_test" );
$irc->connect( 'irc.freenet.de', 6666 );
$irc->login( 'phpSmartIRCclass', 'phpSmartIRCclass Client '.PSIC_VERSION, 'phpSmartIRCclass' );
$irc->join( '#test' );
$irc->listen();
$irc->disconnect();
?>